Skip to main content
PATCH
Update provider

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

providerId
string
required

Opaque identifier of the provider.

Pattern: ^prov_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Body

application/json

Request payload for updating an existing workspace provider.

Request payload for updating an existing workspace provider.

config
object

Typed provider configuration. If provided, fully replaces the stored config (and, with it, the provider). Omit to leave it unchanged.

displayName
string

Human-readable provider display name.

Required string length: 1 - 255
isActive
boolean

Whether the provider is enabled. Omit to leave unchanged.

Response

Response type for a workspace inference provider.

Note: The encrypted provider data is never exposed in API responses. Only metadata about the provider is returned.

Response type for a workspace inference provider.

Note: The encrypted provider data is never exposed in API responses. Only metadata about the provider is returned.

createdAt
string<date-time>
required

When the provider was created.

createdBy
object
required

Account that created this provider.

displayName
string
required

Human-readable provider display name.

id
string
required

Opaque identifier of the provider.

Pattern: ^prov_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
isActive
boolean
required

Whether the provider is enabled.

provider
string
required

Provider identifier (openai, ollama, anthropic, ...).

providerType
required

Inference model type of the provider (llm, ner).

Allowed value: "llm"
updatedAt
string<date-time>
required

When the provider was last updated.

workspaceHandle
string
required

URL-safe workspace handle. Display-only.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
workspaceId
string<uuid>
required

Unique identifier of the workspace.